
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.019.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "A lightweight Rinci/Riap-based command-line application framework",
  "AUTHOR" => "perlancar <perlancar\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Perinci-CmdLine-Lite",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Perinci::CmdLine::Lite",
  "PREREQ_PM" => {
    "Complete::Bash" => "0.09",
    "Complete::Util" => "0.13",
    "Config::IOD::Reader" => 0,
    "Data::Check::Structure" => 0,
    "Data::Clean::JSON" => 0,
    "File::Which" => 0,
    "JSON" => 0,
    "Log::Any::Adapter" => 0,
    "Log::Any::Adapter::ScreenColoredLevel" => 0,
    "Mo" => 0,
    "Perinci::Access::Lite" => 0,
    "Perinci::Object" => 0,
    "Perinci::Sub::Complete" => "0.60",
    "Perinci::Sub::GetArgs::Argv" => "0.55",
    "Rinci" => "v1.1.69",
    "Term::ReadKey" => 0,
    "Text::Table::Tiny" => 0,
    "experimental" => 0
  },
  "TEST_REQUIRES" => {
    "Capture::Tiny" => 0,
    "File::Slurp::Tiny" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Perinci::Examples" => "0.32",
    "Test::More" => "0.98"
  },
  "VERSION" => "0.45",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Capture::Tiny" => 0,
  "Complete::Bash" => "0.09",
  "Complete::Util" => "0.13",
  "Config::IOD::Reader" => 0,
  "Data::Check::Structure" => 0,
  "Data::Clean::JSON" => 0,
  "File::Slurp::Tiny" => 0,
  "File::Spec" => 0,
  "File::Which" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "JSON" => 0,
  "Log::Any::Adapter" => 0,
  "Log::Any::Adapter::ScreenColoredLevel" => 0,
  "Mo" => 0,
  "Perinci::Access::Lite" => 0,
  "Perinci::Examples" => "0.32",
  "Perinci::Object" => 0,
  "Perinci::Sub::Complete" => "0.60",
  "Perinci::Sub::GetArgs::Argv" => "0.55",
  "Rinci" => "v1.1.69",
  "Term::ReadKey" => 0,
  "Test::More" => "0.98",
  "Text::Table::Tiny" => 0,
  "experimental" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);




# modify generated Makefile to install bash completion for scripts. this piece
# is generated by Dist::Zilla::Plugin::Rinci::InstallCompletion version 0.01.
INSTALL_COMPLETION:
{
    print "Modifying Makefile to install bash completion on install\n";
    open my($fh), "<", "Makefile" or die "Can't open generated Makefile: $!";
    my $content = do { local $/; ~~<$fh> };

    $content =~ s/^(install :: pure_install doc_install)/$1 comp_install/m
        or die "Can't find pattern in Makefile (1)";

    $content =~ s/^(uninstall :: .+)/$1 comp_uninstall/m
        or die "Can't find pattern in Makefile (2)";

    $content .= qq|\ncomp_install :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    $content .= qq|\ncomp_uninstall :\n\t| .
        q|$(PERLRUN) -E'if(eval { require App::BashCompletionProg; 1 }) { system "bash-completion-prog", "--remove", "--verbose", @ARGV }' -- $(EXE_FILES)| .
        qq|\n\n|;

    open $fh, ">", "Makefile" or die "Can't write modified Makefile: $!";
    print $fh $content;
}
